Last modified: 2013-04-22 16:15:22 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 32052 - Improve "noarticletext-nopermission" message
Improve "noarticletext-nopermission" message
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
unspecified
All All
: Low normal with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2011-10-30 16:37 UTC by Ianusius
Modified: 2013-04-22 16:15 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Ianusius 2011-10-30 16:37:54 UTC
This should be the new version of the text:

There is currently no text in this page. You can't create this page because you don't have a permission. However, you can search for this page title in other pages, or search the related logs.
Comment 1 Roan Kattouw 2011-10-30 21:03:54 UTC
Would you care to elaborate why? In all MediaWiki installations or only on a particular wiki?
Comment 2 Ianusius 2011-10-30 23:55:08 UTC
I think it should be in all MediaWiki installations. It informs the reader that he or she can't edit the page. I think that is important to know.
Comment 3 Mark A. Hershberger 2011-10-31 17:07:44 UTC
When the user has permission they are, by default, offered the chance to edit it. http://translatewiki.net/wiki/MediaWiki:Noarticletext-nopermission/qqq
Comment 4 Ianusius 2011-10-31 17:27:39 UTC
I dont understand that. It should just say that they don't have the permission.
Comment 5 Krinkle 2012-07-24 21:06:26 UTC
(re: move to "User interface" component and addition of "design" keyword")
* Not related to design afaik, localization maybe. I'd say discuss on translatewiki to improve the phrasing of the message text?

(In reply to comment #0)
> This should be the new version of the text:
> 
> There is currently no text in this page. You can't create this page because you
> don't have a permission. However, you can search for this page title in other
> pages, or search the related logs.

It's a good idea to inform the reader why they are not allowed to edit the page. However two things:

1) If we're going to include this warning, it should be phrased better. "because you don't have a permission" sounds weird. Maybe something like "Because you don't have permission to edit this page".

2) One can argue whether this is the appropiate place to show this warning. At this point the user just visited an inexistant page. We already show a warning when they click edit. And by default redlinks go to the edit page. So this is only shown when people are linked to the view page of an inexistant page (or, more likely, no longer existant or mistyped page). So showing them a warning is inappropriate in my opinion.
Comment 6 Nemo 2012-07-24 21:15:23 UTC
(In reply to comment #5)
> (re: move to "User interface" component and addition of "design" keyword")
> * Not related to design afaik, localization maybe. I'd say discuss on
> translatewiki to improve the phrasing of the message text?

Bugzilla is better, TWN support requests end up here anyway unless someone pop ups to fix them on TWN, and relevant devs should discuss and take care of these stuff. Speaking of which, I don't know who's responsible; "design" is not only about graphical UI and (2) is about user interaction, so...  No idea what's teh best component/keyword.
Comment 7 Nemo 2012-09-18 22:18:35 UTC
Gerrit change #24224.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links